import { EventEmitter, OnInit, OnDestroy, ElementRef } from '@angular/core';
/** @internal */
export declare class ResizerDirective implements OnInit, OnDestroy {
    anjResizer: number;
    private element;
    resize: EventEmitter<null>;
    private parentElement;
    private resizeListener;
    private resizeDebouncer;
    private parentWidth;
    private parentHeight;
    constructor(anjResizer: number, element: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    handleResize(): void;
    getDimensions(): boolean;
}
